GeneratedOrderByFragmentRenderer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql.ordering.antlr
Class GeneratedOrderByFragmentRenderer

    java.lang.Object
      antlr.TreeParser
          org.hibernate.sql.ordering.antlr.GeneratedOrderByFragmentRenderer

All Implemented Interfaces:
  GeneratedOrderByFragmentRendererTokenTypes

Direct Known Subclasses:
  OrderByFragmentRenderer

    public class GeneratedOrderByFragmentRenderer

extends antlr.TreeParser
implements GeneratedOrderByFragmentRendererTokenTypes

Antlr grammar for rendering `ORDER_BY` trees as described by the `OrderByFragmentParser`

Field Summary
`static String[]` | `_tokenNames`

Fields inherited from class antlr.TreeParser
`_retTree, astFactory, ASTNULL, inputState, returnAST, tokenNames, traceDepth`

Fields inherited from interface org.hibernate.sql.ordering.antlr.GeneratedOrderByFragmentRendererTokenTypes
`ASCENDING, CLOSE_PAREN, COLLATE, COLUMN_REF, COMMA, DESCENDING, DOT, EOF, ESCqs, EXPONENT, EXPR_LIST, FLOAT_SUFFIX, HARD_QUOTE, HEX_DIGIT, ID_LETTER, ID_START_LETTER, IDENT, IDENT_LIST, LITERAL_ascending, LITERAL_descending, NULL_TREE_LOOKAHEAD, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OPEN_PAREN, ORDER_BY, ORDER_SPEC, QUOTED_STRING, SORT_KEY, SORT_SPEC, WS`

Constructor Summary
`GeneratedOrderByFragmentRenderer()`

Method Summary
`void` | `collationSpecification(antlr.collections.AST _t)`
`void` | `orderByFragment(antlr.collections.AST _t)`
`void` | `orderingSpecification(antlr.collections.AST _t)`
`protected void` | `out(antlr.collections.AST ast)`
`protected void` | `out(String text)`
`void` | `sortKey(antlr.collections.AST _t)`
`void` | `sortKeySpecification(antlr.collections.AST _t)`
`void` | `sortSpecification(antlr.collections.AST _t)`

Methods inherited from class antlr.TreeParser
`getAST, getASTFactory, getTokenName, getTokenNames, match, match, matchNot, panic, reportError, reportError, reportWarning, setASTFactory, setASTNodeClass, setASTNodeType, traceIn, traceIndent, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final String[] _tokenNames

Constructor Detail

### GeneratedOrderByFragmentRenderer

    public GeneratedOrderByFragmentRenderer()

Method Detail

### out

    protected void out(String text)

### out

    protected void out(antlr.collections.AST ast)

### orderByFragment

    public final void orderByFragment(antlr.collections.AST _t)
                               throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### sortSpecification

    public final void sortSpecification(antlr.collections.AST _t)
                                 throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### sortKeySpecification

    public final void sortKeySpecification(antlr.collections.AST _t)
                                    throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### collationSpecification

    public final void collationSpecification(antlr.collections.AST _t)
                                      throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### orderingSpecification

    public final void orderingSpecification(antlr.collections.AST _t)
                                     throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### sortKey

    public final void sortKey(antlr.collections.AST _t)
                       throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.